package com.inkasso.factoring.creditmanagement.enums;

import org.springframework.stereotype.Component;

/**
 * @Description:立项状态数据字典（说明：其他业务均可使用此定义的状态数据字典）
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年6月13日 上午10:20:22
 */
public enum ProjectInitiationStatusDict  {

    /** 处理中 **/
    PROCESSING("project_init_processing", "处理中"),
    /** 已完成 **/
    COMPLETED("project_init_completed", "已完成"),
    /** 已终止 **/
    TERMINATED("project_init_terminated", "已终止"),
    /** 已解除 **/
    CANCELLED("project_init_cancelled", "已解除");
    String code;

    String desc;

    ProjectInitiationStatusDict(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static ProjectInitiationStatusDict getByCode(String code){
        for(ProjectInitiationStatusDict ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
